## wday.1.5.tar.gz

=== po/Makefile ===
include ../common.mk

.DEFAULT: 
	$(MAKE) -C .. $@
	

include Make.mk
