=== deb-build/debian/control ===
Source: wday
Section: utils
Priority: optional
Maintainer: John Darrington (used only for signing packages) <jmd@computer.org>
Standards-Version: 3.0.1

Package: wday
Architecture: any
Depends: ${shlibs:Depends}
Description: Tells you the dates of public holidays
 Tests dates for public holidays or lists public holidays. 
 Works for both past and future and for any part of the world.
